import sys
sys.path.insert(0, '../..')

from kdtesting import Command, CommandSeq, CommandGroup, ContextRefresher, \
                    ArbitraryContextProvider, VariableA, ConstantA, NumberA

context_provider = ArbitraryContextProvider({
    "number": NumberA(1, 10)
})

operation_command = Command([
    VariableA("number", context_provider),
    ConstantA("+"),
    VariableA("number", context_provider)
])

print_command = Command([
    ConstantA("print"),
    VariableA("number", context_provider)
])

final_command = ContextRefresher(CommandSeq([
    operation_command,
    print_command
]), context_provider)

testing_group = CommandGroup([
    (1, final_command)
], 5, 10)

print(testing_group.example())
"""
OUTPUT - notice the fixed numbers
7 + 7
print 7
8 + 8
print 8
1 + 1
print 1
3 + 3
print 3
3 + 3
print 3
9 + 9
print 9
"""
